Page MenuHomePhabricator

[Story] Only show notable items as search result
Closed, ResolvedPublic

Description

Only Placeholders of items with at least 1 sitelink or 2 statements should show up in the search to actually have a benefit over not having an article.
Seeing the placeholder over the special page should of course still be possible, therefore it needs to be filtered in the search.

Details

Related Gerrit Patches:
mediawiki/extensions/ArticlePlaceholder : masterLimit number of results in search

Related Objects

StatusAssignedTask
Resolvedthiemowmde
DeclinedNone
ResolvedLydia_Pintscher
Resolvedhoo
InvalidLydia_Pintscher
ResolvedLucie
ResolvedLucie
InvalidLucie
OpenNone
ResolvedLucie
ResolvedLucie
ResolvedLucie
OpenNone
OpenNone
Resolvedhoo
ResolvedLucie
Resolvedoschposch
Resolvedhoo
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
OpenNone
DeclinedNone
OpenNone
ResolvedAddshore
ResolvedLucie
ResolvedLucie
ResolvedLucie
Resolvedhoo
ResolvedNone
ResolvedLucie

Event Timeline

Lucie created this task.Sep 28 2015, 1:43 PM
Lucie claimed this task.
Lucie raised the priority of this task from to Normal.
Lucie updated the task description. (Show Details)
Lucie added a subscriber: Lucie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2015, 1:43 PM
Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.Sep 28 2015, 1:44 PM
Lucie added a comment.Nov 3 2015, 3:56 PM

Should be tested- so far we will try to work with at least 2-3 statements and 2 sitelinks from the same project or 3-4 from different projects

Lucie added a comment.Dec 4 2015, 3:21 PM

wbclaims in page_prop gives the number of statements. There I'll be also able to check for the number of sitelinks of an item.

Lucie moved this task from To Do Next to Incoming on the ArticlePlaceholder board.Jan 20 2016, 5:34 PM
Lucie removed Lucie as the assignee of this task.Apr 1 2016, 2:34 PM
Lucie claimed this task.Apr 13 2016, 1:19 PM
Lucie moved this task from Incoming to Doing on the ArticlePlaceholder board.
Lucie moved this task from Doing to Review on the ArticlePlaceholder board.May 3 2016, 1:18 PM
jayvdb added a subscriber: jayvdb.May 5 2016, 7:52 PM

Change 283168 merged by jenkins-bot:
Limit number of results in search

https://gerrit.wikimedia.org/r/283168

Lucie closed this task as Resolved.May 6 2016, 12:58 PM
Lucie moved this task from Review to Done on the ArticlePlaceholder board.